"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextInput = void 0;
const react_1 = __importDefault(require("react"));
const Icon_1 = require("../../Icon");
const styles_1 = require("../styles");
const TextInput = (_a) => {
    var { icon, iconSize } = _a, props = __rest(_a, ["icon", "iconSize"]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(styles_1.InputField, Object.assign({}, props)),
        icon && react_1.default.createElement(Icon_1.Icon, { src: icon, width: iconSize, height: iconSize })));
};
exports.TextInput = TextInput;
//# sourceMappingURL=TextInput.js.map