import styled from "styled-components";
import { DEFAULT_HEIGHT, DEFAULT_MARGIN, DEFAULT_PADDING, DEFAULT_WIDTH, } from "../../constants/defaultLayouts";
export const ButtonInput = styled.button `
  display: flex;
  justify-content: center;
  align-items: center;
  padding: ${({ padding }) => padding || DEFAULT_PADDING};
  margin: ${({ margin }) => margin || DEFAULT_MARGIN};
  outline: ${({ outline }) => (outline ? outline : "none")};
  border: ${({ border }) => (border ? border : "none")};
  width: ${({ width }) => width || DEFAULT_WIDTH};
  height: ${({ height }) => height || DEFAULT_HEIGHT};
  background-color: ${({ backgroundColor }) => backgroundColor};
  color: ${({ textColor }) => textColor};
  border-radius: ${({ borderRadius }) => (borderRadius ? borderRadius : "0")};
  cursor: ${({ cursor }) => cursor};

  &:hover {
    background-color: ${({ hoverBackgroundColor }) => hoverBackgroundColor};
    color: ${({ hoverTextColor }) => hoverTextColor};
  }
`;
//# sourceMappingURL=styles.js.map