var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useState } from "react";
import { Icon } from "../../Icon";
import { InputField } from "../styles";
import { InputTypes } from "../types/inputTypes";
export const PasswordInput = (_a) => {
    var { type, withShowHide, icon, iconSize } = _a, props = __rest(_a, ["type", "withShowHide", "icon", "iconSize"]);
    const [isVisible, setVisibility] = useState(false);
    const inputType = withShowHide && isVisible ? InputTypes.TEXT : type;
    const toggleVisiblity = useCallback(() => setVisibility((prevVisiblity) => !prevVisiblity), []);
    return (React.createElement(React.Fragment, null,
        React.createElement(InputField, Object.assign({}, props, { type: inputType })),
        icon && (React.createElement(Icon, { src: icon, onClick: toggleVisiblity, width: iconSize, height: iconSize }))));
};
//# sourceMappingURL=PasswordInput.js.map