"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordInput = void 0;
const react_1 = __importStar(require("react"));
const Icon_1 = require("../../Icon");
const styles_1 = require("../styles");
const inputTypes_1 = require("../types/inputTypes");
const PasswordInput = (_a) => {
    var { type, withShowHide, icon, iconSize } = _a, props = __rest(_a, ["type", "withShowHide", "icon", "iconSize"]);
    const [isVisible, setVisibility] = (0, react_1.useState)(false);
    const inputType = withShowHide && isVisible ? inputTypes_1.InputTypes.TEXT : type;
    const toggleVisiblity = (0, react_1.useCallback)(() => setVisibility((prevVisiblity) => !prevVisiblity), []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(styles_1.InputField, Object.assign({}, props, { type: inputType })),
        icon && (react_1.default.createElement(Icon_1.Icon, { src: icon, onClick: toggleVisiblity, width: iconSize, height: iconSize }))));
};
exports.PasswordInput = PasswordInput;
//# sourceMappingURL=PasswordInput.js.map